package Vote::Controller::Ballot;

use strict;
use warnings;
use base 'Catalyst::Controller';

=head1 NAME

Vote::Controller::Ballot - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index 

=cut

sub index : Private {
    my ( $self, $c ) = @_;

    $c->response->body('Matched Vote::Controller::Ballot in Vote.');
}

sub default : Private {
    my ( $self, $c, undef, $id ) = @_;

    $c->stash->{voteid} = $id;

    my $vote = $c->model('Vote');
    my %choices;
    foreach ($vote->vote_choices($id)) {
        $choices{$_->{key}} = $_->{label};
    }

    my $uid = 'Olivier Thauvin'; # for test now
    if ($c->req->param('ballot')) {
        $vote->register_ballot(
            $uid,
            $id,
            [ grep { $_ } (
              map { $choices{$_} } $c->req->param('sbal'),
              $c->req->param('fsbal'),
            ) ],
            $c->req->address,
        ); # TODO trap error
    }
}


=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
